Package org.apache.storm.metrics2.reporters

# Class JmxStormReporter

java.lang.Object
org.apache.storm.metrics2.reporters.JmxStormReporter

All Implemented Interfaces:
  `com.codahale.metrics.Reporter`, `Closeable`, `AutoCloseable`, `StormReporter`

public class JmxStormReporter extends Object implements StormReporter

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `JMX_DOMAIN`

  ### Fields inherited from interface org.apache.storm.metrics2.reporters.StormReporter

  `REPORT_DIMENSIONS_ENABLED, REPORT_PERIOD, REPORT_PERIOD_UNITS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JmxStormReporter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `static String`
  `getMetricsJmxDomain(Map reporterConf)`
  `void`
  `prepare(com.codahale.metrics.MetricRegistry metricsRegistry, Map<String,Object> topoConf, Map<String,Object> reporterConf)`
  `void`
  `start()`
  `void`
  `stop()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.storm.metrics2.reporters.StormReporter

  `prepare`

- ## Field Details

  - ### JMX_DOMAIN

    public static final String JMX_DOMAIN
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### JmxStormReporter

    public JmxStormReporter()

- ## Method Details

  - ### getMetricsJmxDomain

    public static String getMetricsJmxDomain(Map reporterConf)

  - ### prepare

    public void prepare(com.codahale.metrics.MetricRegistry metricsRegistry, Map<String,Object> topoConf, Map<String,Object> reporterConf)
    Specified by:
      `prepare` in interface `StormReporter`

  - ### start

    public void start()
    Specified by:
      `start` in interface `StormReporter`

  - ### stop

    public void stop()
    Specified by:
      `stop` in interface `StormReporter`

  - ### close

    public void close() throws IOException
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `Closeable`
    Throws:
      `IOException`